org.apache.uima.fit.validation

## Enum ValidationResult.Severity

- java.lang.Object
- - java.lang.Enum<ValidationResult.Severity>
  - - org.apache.uima.fit.validation.ValidationResult.Severity

- All Implemented Interfaces:
    Serializable, Comparable<ValidationResult.Severity>
  Enclosing class:
    ValidationResult

      public static enum ValidationResult.Severity
      extends Enum<ValidationResult.Severity>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `ERROR`
    `INFO`
    `TRACE`
    `WARN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEquallyOrMoreSevereThan(ValidationResult.Severity other)`
    `static ValidationResult.Severity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValidationResult.Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final ValidationResult.Severity ERROR

    - #### WARN

          public static final ValidationResult.Severity WARN

    - #### INFO

          public static final ValidationResult.Severity INFO

    - #### DEBUG

          public static final ValidationResult.Severity DEBUG

    - #### TRACE

          public static final ValidationResult.Severity TRACE

  - ### Method Detail

    - #### values

          public static ValidationResult.Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationResult.Severity c : ValidationResult.Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationResult.Severity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isEquallyOrMoreSevereThan

          public boolean isEquallyOrMoreSevereThan(ValidationResult.Severity other)

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.